Subject: Re: MFC with Cygwin?
From: [email-masked]

10 Apr 1998 07:21:20 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=windows-1252
Content-Transfer-Encoding: 8bit
To: [email-masked]

>   Wei Ku ([email-masked])
>   Mon, 30 Mar 1998 18:28:29 -0500
>   
>I assume that one need to purchase MS. Visual C++ in order to legally use
>MFC.

>From: Jason Dagit
>Date: Sunday, March 29, 1998 8:46 PM
>
>>I'm a newbie and I'm trying to learn win32 programming.  I keep hearing
>>about MicroSoft Foundation Classes.  I'm wondering, what do I need to do
>>to use MFC with Cygwin?  I have B19.1 and very little knowledge of
>>win32  programming.  I have experience with DOS C/C++ and VB3.0, but
>>thats about the extent of my programming.
>>
Actually, Microshaft cunningly packaged the MFC into a dll, and even
included that dll with Windows 95.  Only problem is, and I already
tried this, impdef.exe only gets you the entry point to a jump table.
In other words, these OOPS classes, cunningly packaged as a library
dll, can only be reached if you know their function numbers, er, I
mean, object numbers.  Now, what we really need are two devious souls:
One to develop an impdef program that gets the functions behind the
jump table and their numbers, and another with enough legal expertise
to tell us if it is legally a no-no to do this.

>>Please assume I know only what it takes to compile a simple project.  I
>>have a generic windows application that I created following an example
>>on MSDN, but that's my only experience with Cygwin32.
>>
Go forth and spend, even waste, some money at the bookstore of your choice.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".